Skip to main content
GET
/
servers
/
{server_id}
/
out_of_band_connection
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os


with Latitudesh(
    bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:

    res = latitudesh.servers.list_out_of_band_connections(server_id="sv_GnzRD5lvqM5yw")

    # Handle response
    print(res)
{
  "data": {
    "id": "obc_AW6Q2D9lqKLpr",
    "type": "out_of_band",
    "attributes": {
      "ssh_key": {
        "id": "ssh_Gr47qlNMOAg0m",
        "description": "raynor-dubuque.example",
        "fingerprint": "d5:d6:ac:44:54:1a:d9:c3:0a:1e:c6:2a:9b:66:d5:90"
      },
      "created_at": "2026-01-14T15:56:58+00:00",
      "username": "server-1",
      "credentials": {
        "user": "vonda_littel",
        "password": "8i97d81tjq"
      },
      "port": "2222",
      "access_ip": "189.1.2.0",
      "server_id": "sv_GnzRD5lvqM5yw",
      "status": "connected"
    }
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Path Parameters

server_id
string
required

The Server ID

Response

200 - application/vnd.api+json

Success

data
object